Package twisted :: Package protocols :: Module htb :: Class FilterByServer

[show private | hide private]
[frames | no frames]

## Class FilterByServer

    HierarchicalBucketFilter --+
                               |
                              FilterByServer

A bucket filter with a bucket for each service.

Method Summary
| `__init__(self, parentFilter)` (inherited from `HierarchicalBucketFilter`)
`Bucket` | ``getBucketFor`(self, *a, **kw)` You want a bucket for that? I'll give you a bucket. (inherited from `HierarchicalBucketFilter`)
| `getBucketKey(self, transport)`
| ``sweep`(self)` I throw away references to empty buckets. (inherited from `HierarchicalBucketFilter`)

Class Variable Summary
`NoneType` | `sweepInterval`

Class Variable Details

### sweepInterval

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:16:37 2003 | http://epydoc.sf.net